@import "./assets/var-colors.scss";
@import "https://fonts.googleapis.com/css?family=Open+Sans|Roboto+Mono&display=swap";

.page-component {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: 'Open Sans', sans-serif;
}

h1 {
    color: $color-red;
    width: 90%;
    text-align: left;
    font-family: 'Roboto Mono', monospace;
    font-size: 1.2em;
}

h2, h3, p {
    color: $color-dark;
    font-family: 'Roboto Mono', monospace;
}


//Properties of the research menu when window scroll > 90
.top-fixed-position form {
    position: fixed;
    top: 20px;
    right: 20px;
}

.top-fixed-position .input-fields {
    min-height: 320px;
    min-width: 250px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: space-around;
}

.top-fixed-position form label {
    font-size: 0.8em;
}

.top-fixed-position form input {
    width: 200px;
}

.top-fixed-position form .buttons {
    align-self: center;
}

.top-fixed-position form button {
    margin: 2px;
    padding: 0;
}